Bug 1256933 - Radeon driver is unable to find card without BusID snippet of xorg.conf
Radeon driver is unable to find card without BusID snippet of xorg.conf
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
rawhide
aarch64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-25 15:00 EDT by Marcin Juszkiewicz
Modified: 2016-10-19 13:27 EDT (History)
12 users (show)

See Also:
Fixed In Version: xorg-x11-server-1.19.0-0.2.20160929.fc25
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-19 13:27:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf snippet (347 bytes, text/plain)
2015-08-25 15:00 EDT, Marcin Juszkiewicz
no flags Details
lspci output (8.68 KB, text/plain)
2015-08-25 15:01 EDT, Marcin Juszkiewicz
no flags Details
Xorg.0.log while X starts (37.46 KB, text/plain)
2015-08-25 15:02 EDT, Marcin Juszkiewicz
no flags Details
Xorg.0.log while X does not start (no BusID snippet) (18.96 KB, text/plain)
2015-08-25 15:03 EDT, Marcin Juszkiewicz
no flags Details
dmesg (41.80 KB, text/plain)
2015-08-25 15:03 EDT, Marcin Juszkiewicz
no flags Details
xserver hack (544 bytes, patch)
2015-08-25 18:33 EDT, Marcin Juszkiewicz
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 91820 None None None Never

  None (edit)
Description Marcin Juszkiewicz 2015-08-25 15:00:46 EDT
Created attachment 1066964 [details]
xorg.conf snippet

Description of problem:

I have APM Mustang on my desk. As it has x8 pcie slot I connected Radeon HD5450 graphics card to it. But to get X11 running I need to have xorg.conf snippet (attached).

Version-Release number of selected component (if applicable):

xorg-x11-drv-ati-7.6.0-0.3.20150729git5510cd6.fc24.aarch64

How reproducible:

always

Steps to Reproduce:
1. grab apm mustang
2. connect radeon card
3. boot

Actual results:

Needs BusId snippet to get Xorg running.

Expected results:

Xorg runs without extra config.

Additional info:

I do not know is it driver or kernel fault.
Comment 1 Marcin Juszkiewicz 2015-08-25 15:01:23 EDT
Created attachment 1066965 [details]
lspci output
Comment 2 Marcin Juszkiewicz 2015-08-25 15:02:09 EDT
Created attachment 1066966 [details]
Xorg.0.log while X starts
Comment 3 Marcin Juszkiewicz 2015-08-25 15:03:08 EDT
Created attachment 1066967 [details]
Xorg.0.log while X does not start (no BusID snippet)
Comment 4 Marcin Juszkiewicz 2015-08-25 15:03:42 EDT
Created attachment 1066968 [details]
dmesg
Comment 5 Marcin Juszkiewicz 2015-08-25 15:05:16 EDT
When F23 installer boots it is not able to get graphical installer running due to this issue. But when I copy snippet from running system and then restart anaconda by hand - it runs nice local graphical installation.
Comment 6 Jérôme Glisse 2015-08-25 17:13:45 EDT
Probably the X server not trying to do PCIe enumeration on ARM. Just wild guess.
Comment 7 Marcin Juszkiewicz 2015-08-25 18:15:38 EDT
Xserver can do pci enumeration on AArch64 - it is just libpciaccess stuff.

The problem lies in other place - kernel/udev probably or xserver.

Configure sets CONFIG_UDEV_KMS variable and then XSERVER_PLATFORM_BUS is set as well. 

Then we have xf86BusProbe() function in hw/xfree86/common/xf86Bus.c (xserver source file). If XSERVER_PLATFORM_BUS is defined then xf86platformProbe() is called. And then it fails.

But if I disable that block then xf86PciProbe() is called and xserver finds PCIe card properly.
Comment 8 Marcin Juszkiewicz 2015-08-25 18:33:10 EDT
Created attachment 1067018 [details]
xserver hack

xf86platformProbe() calls config_odev_probe(xf86PlatformDeviceProbe) (argument is callback name)

xf86PlatformDeviceProbe() goes xf86_num_platform_devices times over xf86_platform_odev_attributes table to find /dev/dri/card0 entry.

The problem is that xf86_num_platform_devices == 0 so there is nothing to search for.
Comment 9 Marcin Juszkiewicz 2016-01-19 06:39:19 EST
I discussed issue with several people and agreement was that this has to be done in kernel like it is on powerpc.

There will be patches sent to lkml once done.
Comment 10 Jeremy Linton 2016-08-02 14:18:10 EDT
Hi, I have a juno with the same card (HD5450), and a seattle with a x1300. I've been manually hacking my xorg as well. When you post the patch, please cc jeremy.linton@arm.com. 

Thanks.
Comment 12 Laszlo Ersek 2016-09-05 07:48:28 EDT
Please see <https://lists.x.org/archives/xorg-devel/2016-September/050861.html>.
Comment 13 Gerd Hoffmann 2016-09-05 08:44:18 EDT
see also bug 1366842
Comment 14 Laszlo Ersek 2016-09-11 15:28:27 EDT
The v2 upstream series has been reviewed and tested; it should solve the issue:
https://lists.x.org/archives/xorg-devel/2016-September/050935.html
Comment 15 Laszlo Ersek 2016-09-29 05:11:32 EDT
The patch fixing this issue has been committed to the upstream xserver git tree:

https://cgit.freedesktop.org/xorg/xserver/commit/?id=ca8d88e50310a0d440a127c22a0a383cc149f408
Comment 16 Fedora Update System 2016-09-30 16:23:49 EDT
libXfont2-2.0.1-2.fc25, xorg-x11-drivers-7.7-18.fc25, xorg-x11-drv-amdgpu-1.1.2-3.20160929git97d7386c.fc25, xorg-x11-drv-armsoc-1.4.0-3.20160929.fc25, xorg-x11-drv-ati-7.7.1-1.20160928git3fc839ff.fc25, xorg-x11-drv-dummy-0.3.6-26.fc25, xorg-x11-drv-evdev-2.10.3-2.fc25, xorg-x11-drv-fbdev-0.4.3-25.fc25, xorg-x11-drv-fbturbo-0.5.1-0.8.20150221.fc25, xorg-x11-drv-freedreno-1.4.0-3.20160929.fc25, xorg-x11-drv-geode-2.11.18-2.fc25, xorg-x11-drv-intel-2.99.917-26.20160929.fc25, xorg-x11-drv-ivtv-1.2.0-0.22.fc25, xorg-x11-drv-libinput-0.19.1-2.20160929.fc25, xorg-x11-drv-nouveau-1.0.13-1.fc25, xorg-x11-drv-omap-0.4.4-3.fc25, xorg-x11-drv-openchrome-0.5.0-2.fc25, xorg-x11-drv-opentegra-0.7.0-8.fc25, xorg-x11-drv-qxl-0.1.4-9.20160929gite13d28ee.fc25, xorg-x11-drv-sisusb-0.9.6-24.fc25, xorg-x11-drv-synaptics-1.8.99.1-2.20160929git48632211.fc25, xorg-x11-drv-v4l-0.2.0-47.fc25, xorg-x11-drv-vesa-2.3.2-25.fc25, xorg-x11-drv-vmware-13.0.2-12.20150211git8f0cf7c.fc25, xorg-x11-drv-voodoo-1.2.5-25.fc25, xorg-x11-drv-wacom-0.33.0-2.20160929gitb61d1711.fc25, xorg-x11-font-utils-7.5-32.fc25, xorg-x11-proto-devel-7.7-20.fc25, xorg-x11-server-1.19.0-0.1.20160929.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a5c3ebe67a
Comment 17 Fedora Update System 2016-10-02 18:23:27 EDT
libXfont2-2.0.1-2.fc25, xorg-x11-drivers-7.7-18.fc25, xorg-x11-drv-amdgpu-1.1.2-3.20160929git97d7386c.fc25, xorg-x11-drv-armsoc-1.4.0-3.20160929.fc25, xorg-x11-drv-ati-7.7.1-1.20160928git3fc839ff.fc25, xorg-x11-drv-dummy-0.3.6-26.fc25, xorg-x11-drv-evdev-2.10.3-2.fc25, xorg-x11-drv-fbdev-0.4.3-25.fc25, xorg-x11-drv-fbturbo-0.5.1-0.8.20150221.fc25, xorg-x11-drv-freedreno-1.4.0-3.20160929.fc25, xorg-x11-drv-geode-2.11.18-2.fc25, xorg-x11-drv-intel-2.99.917-26.20160929.fc25, xorg-x11-drv-ivtv-1.2.0-0.22.fc25, xorg-x11-drv-libinput-0.19.1-2.20160929.fc25, xorg-x11-drv-nouveau-1.0.13-1.fc25, xorg-x11-drv-omap-0.4.4-3.fc25, xorg-x11-drv-openchrome-0.5.0-2.fc25, xorg-x11-drv-opentegra-0.7.0-8.fc25, xorg-x11-drv-qxl-0.1.4-9.20160929gite13d28ee.fc25, xorg-x11-drv-sisusb-0.9.6-24.fc25, xorg-x11-drv-synaptics-1.8.99.1-2.20160929git48632211.fc25, xorg-x11-drv-v4l-0.2.0-47.fc25, xorg-x11-drv-vesa-2.3.2-25.fc25, xorg-x11-drv-vmware-13.0.2-12.20150211git8f0cf7c.fc25, xorg-x11-drv-voodoo-1.2.5-25.fc25, xorg-x11-drv-wacom-0.33.0-2.20160929gitb61d1711.fc25, xorg-x11-font-utils-7.5-32.fc25, xorg-x11-proto-devel-7.7-20.fc25, xorg-x11-server-1.19.0-0.1.20160929.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a5c3ebe67a
Comment 18 Fedora Update System 2016-10-04 21:55:45 EDT
libXfont2-2.0.1-2.fc25, tigervnc-1.7.0-2.fc25, xorg-x11-drivers-7.7-18.fc25, xorg-x11-drv-amdgpu-1.1.2-3.20160929git97d7386c.fc25, xorg-x11-drv-armsoc-1.4.0-3.20160929.fc25, xorg-x11-drv-ati-7.7.1-1.20160928git3fc839ff.fc25, xorg-x11-drv-dummy-0.3.6-26.fc25, xorg-x11-drv-evdev-2.10.4-1.fc25, xorg-x11-drv-fbdev-0.4.3-25.fc25, xorg-x11-drv-fbturbo-0.5.1-0.8.20150221.fc25, xorg-x11-drv-freedreno-1.4.0-3.20160929.fc25, xorg-x11-drv-geode-2.11.18-2.fc25, xorg-x11-drv-intel-2.99.917-26.20160929.fc25, xorg-x11-drv-ivtv-1.2.0-0.22.fc25, xorg-x11-drv-libinput-0.19.1-2.20160929.fc25, xorg-x11-drv-nouveau-1.0.13-1.fc25, xorg-x11-drv-omap-0.4.4-3.fc25, xorg-x11-drv-openchrome-0.5.0-2.fc25, xorg-x11-drv-opentegra-0.7.0-8.fc25, xorg-x11-drv-qxl-0.1.4-9.20160929gite13d28ee.fc25, xorg-x11-drv-sisusb-0.9.6-24.fc25, xorg-x11-drv-synaptics-1.8.99.1-2.20160929git48632211.fc25, xorg-x11-drv-v4l-0.2.0-47.fc25, xorg-x11-drv-vesa-2.3.2-25.fc25, xorg-x11-drv-vmware-13.0.2-12.20150211git8f0cf7c.fc25, xorg-x11-drv-voodoo-1.2.5-25.fc25, xorg-x11-drv-wacom-0.33.0-2.20160929gitb61d1711.fc25, xorg-x11-font-utils-7.5-32.fc25, xorg-x11-proto-devel-7.7-20.fc25, xorg-x11-server-1.19.0-0.1.20160929.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a5c3ebe67a
Comment 19 Fedora Update System 2016-10-05 18:24:48 EDT
libXfont2-2.0.1-2.fc25, tigervnc-1.7.0-3.fc25, xorg-x11-drivers-7.7-18.fc25, xorg-x11-drv-amdgpu-1.1.2-3.20160929git97d7386c.fc25, xorg-x11-drv-armsoc-1.4.0-3.20160929.fc25, xorg-x11-drv-ati-7.7.1-1.20160928git3fc839ff.fc25, xorg-x11-drv-dummy-0.3.6-26.fc25, xorg-x11-drv-evdev-2.10.4-1.fc25, xorg-x11-drv-fbdev-0.4.3-25.fc25, xorg-x11-drv-fbturbo-0.5.1-0.8.20150221.fc25, xorg-x11-drv-freedreno-1.4.0-3.20160929.fc25, xorg-x11-drv-geode-2.11.18-2.fc25, xorg-x11-drv-intel-2.99.917-26.20160929.fc25, xorg-x11-drv-ivtv-1.2.0-0.22.fc25, xorg-x11-drv-libinput-0.19.1-3.20160929.fc25, xorg-x11-drv-nouveau-1.0.13-1.fc25, xorg-x11-drv-omap-0.4.4-3.fc25, xorg-x11-drv-openchrome-0.5.0-2.fc25, xorg-x11-drv-opentegra-0.7.0-8.fc25, xorg-x11-drv-qxl-0.1.4-10.20160929gite13d28ee.fc25, xorg-x11-drv-sisusb-0.9.6-24.fc25, xorg-x11-drv-synaptics-1.8.99.1-2.20160929git48632211.fc25, xorg-x11-drv-v4l-0.2.0-47.fc25, xorg-x11-drv-vesa-2.3.2-25.fc25, xorg-x11-drv-vmware-13.0.2-12.20150211git8f0cf7c.fc25, xorg-x11-drv-voodoo-1.2.5-25.fc25, xorg-x11-drv-wacom-0.33.0-2.20160929gitb61d1711.fc25, xorg-x11-font-utils-7.5-32.fc25, xorg-x11-proto-devel-7.7-20.fc25, xorg-x11-server-1.19.0-0.2.20160929.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a5c3ebe67a
Comment 20 Fedora Update System 2016-10-11 00:57:09 EDT
libXfont2-2.0.1-2.fc25, tigervnc-1.7.0-3.fc25, xorg-x11-drivers-7.7-18.fc25, xorg-x11-drv-amdgpu-1.1.2-3.20160929git97d7386c.fc25, xorg-x11-drv-armsoc-1.4.0-3.20160929.fc25, xorg-x11-drv-ati-7.7.1-1.20160928git3fc839ff.fc25, xorg-x11-drv-dummy-0.3.6-26.fc25, xorg-x11-drv-evdev-2.10.4-1.fc25, xorg-x11-drv-fbdev-0.4.3-25.fc25, xorg-x11-drv-fbturbo-0.5.1-0.8.20150221.fc25, xorg-x11-drv-freedreno-1.4.0-3.20160929.fc25, xorg-x11-drv-geode-2.11.18-2.fc25, xorg-x11-drv-intel-2.99.917-26.20160929.fc25, xorg-x11-drv-ivtv-1.2.0-0.22.fc25, xorg-x11-drv-libinput-0.19.1-3.20160929.fc25, xorg-x11-drv-nouveau-1.0.13-1.fc25, xorg-x11-drv-omap-0.4.4-3.fc25, xorg-x11-drv-openchrome-0.5.0-2.fc25, xorg-x11-drv-opentegra-0.7.0-8.fc25, xorg-x11-drv-qxl-0.1.4-10.20160929gite13d28ee.fc25, xorg-x11-drv-sisusb-0.9.6-24.fc25, xorg-x11-drv-synaptics-1.8.99.2-2.fc25, xorg-x11-drv-v4l-0.2.0-47.fc25, xorg-x11-drv-vesa-2.3.2-25.fc25, xorg-x11-drv-vmware-13.0.2-12.20150211git8f0cf7c.fc25, xorg-x11-drv-voodoo-1.2.5-25.fc25, xorg-x11-drv-wacom-0.33.0-2.20160929gitb61d1711.fc25, xorg-x11-font-utils-7.5-32.fc25, xorg-x11-proto-devel-7.7-20.fc25, xorg-x11-server-1.19.0-0.2.20160929.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a5c3ebe67a
Comment 21 Fedora Update System 2016-10-19 13:27:55 EDT
libXfont2-2.0.1-2.fc25, tigervnc-1.7.0-3.fc25, xorg-x11-drivers-7.7-18.fc25, xorg-x11-drv-amdgpu-1.1.2-3.20160929git97d7386c.fc25, xorg-x11-drv-armsoc-1.4.0-3.20160929.fc25, xorg-x11-drv-ati-7.7.1-1.20160928git3fc839ff.fc25, xorg-x11-drv-dummy-0.3.6-26.fc25, xorg-x11-drv-evdev-2.10.4-1.fc25, xorg-x11-drv-fbdev-0.4.3-25.fc25, xorg-x11-drv-fbturbo-0.5.1-0.8.20150221.fc25, xorg-x11-drv-freedreno-1.4.0-3.20160929.fc25, xorg-x11-drv-geode-2.11.18-2.fc25, xorg-x11-drv-intel-2.99.917-26.20160929.fc25, xorg-x11-drv-ivtv-1.2.0-0.22.fc25, xorg-x11-drv-libinput-0.19.1-3.20160929.fc25, xorg-x11-drv-nouveau-1.0.13-1.fc25, xorg-x11-drv-omap-0.4.4-3.fc25, xorg-x11-drv-openchrome-0.5.0-2.fc25, xorg-x11-drv-opentegra-0.7.0-8.fc25, xorg-x11-drv-qxl-0.1.4-10.20160929gite13d28ee.fc25, xorg-x11-drv-sisusb-0.9.6-24.fc25, xorg-x11-drv-synaptics-1.8.99.2-2.fc25, xorg-x11-drv-v4l-0.2.0-47.fc25, xorg-x11-drv-vesa-2.3.2-25.fc25, xorg-x11-drv-vmware-13.0.2-12.20150211git8f0cf7c.fc25, xorg-x11-drv-voodoo-1.2.5-25.fc25, xorg-x11-drv-wacom-0.33.0-2.20160929gitb61d1711.fc25, xorg-x11-font-utils-7.5-32.fc25, xorg-x11-proto-devel-7.7-20.fc25, xorg-x11-server-1.19.0-0.2.20160929.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.